Summary:	GNOME binary editor
Summary(pl.UTF-8):	Edytor binarny dla GNOME
Name:		ghex
Version:	3.6.1
Release:	1
License:	GPL v2
Group:		X11/Applications/Editors
Source0:	http://ftp.gnome.org/pub/GNOME/sources/ghex/3.6/%{name}-%{version}.tar.xz
# Source0-md5:	49a6b7a75d12e1a0e926b705fe50b549
Patch0:		%{name}-desktop.patch
URL:		http://www.gnu.org/directory/text/editors/ghex.html
BuildRequires:	atk-devel >= 1:1.22.0
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils >= 0.12.0
BuildRequires:	gtk+3-devel >= 3.4.0
BuildRequires:	intltool >= 0.41.1
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	%{name}-libs = %{version}-%{release}
Requires:	hicolor-icon-theme
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GHex allows the user to load data from any file, view and edit it in
either hex or ascii. A must for anyone playing games that use
non-ascii format for saving.

%description -l pl.UTF-8
GHex pozwala użytkownikowi na wczytanie danych z dowolnego pliku,
przeglądanie i edycję ich w trybie szesnastkowym i ASCII. Obowiązkowe
narzędzie dla wszystkich graczy, których gry zapisują stan w formacie
innym niż tekstowy.

%package libs
Summary:	GHex library
Summary(pl.UTF-8):	Biblioteka GHex
Group:		X11/Libraries

%description libs
GHex library.

%description libs -l pl.UTF-8
Biblioteka GHex.

%package devel
Summary:	GHex devel files
Summary(pl.UTF-8):	Pliki nagłówkowe GHex
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gtk+3-devel >= 3.4.0

%description devel
GHex devel files.

%description devel -l pl.UTF-8
Pliki nagłówkowe GHex.

%package static
Summary:	GHex static library
Summary(pl.UTF-8):	Biblioteka statyczna GHex
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
GHex static library.

%description static -l pl.UTF-8
Biblioteka statyczna GHex.

%prep
%setup -q
%patch0 -p1

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-schemas-compile \
	--disable-silent-rules \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name} --with-gnome --with-omf --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/ghex
%{_datadir}/GConf/gsettings/ghex.convert
%{_datadir}/glib-2.0/schemas/org.gnome.GHex.gschema.xml
%{_desktopdir}/ghex.desktop
%{_iconsdir}/hicolor/*/*/*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtkhex-3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgtkhex-3.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtkhex-3.so
%{_includedir}/gtkhex-3
%{_pkgconfigdir}/gtkhex-3.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgtkhex-3.a
%changelog
* Sat Oct 20 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ghex.git;a=log;h=master

* Sat Oct 20 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 8c925dd
Update to 3.6.1

* Sat Oct 29 2011 Marcin Banasiak <marcin.banasiak@gmail.com> d65eee9
- moved ghex library to separate package
- added missing dir
- updated deps

* Sat Oct 29 2011 Jarosław Kruk <jareq@pld-linux.org> c6077ec
- simplification static build; rel 2

* Sat Oct 29 2011 Jarosław Kruk <jareq@pld-linux.org> dc45796
- updatet to 3.0
- STBR

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 2331e51
- Requires(post,postun): gtk-update-icon-cache

* Sun May 09 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 94f9256
- updated to 2.24.0

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> adc82c7
- release 2

* Mon Apr 14 2008 Marcin Banasiak <marcin.banasiak@gmail.com> d62d3da
- updated to 2.22.0
- added X11 to groups

* Mon Dec 10 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 7a96b9b
- updated to 2.20.1
- use better way to fix locale names

* Sun Nov 04 2007 ankry <ankry@pld-linux.org> 7188ac7
- sr@Latn -> sr@latin, rel. 2

* Tue Sep 18 2007 Patryk Zawadzki <patrys@room-303.com> bf037cd
- 2.20.0

* Fri Sep 14 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 73fffcc
- updated for 2.19.91

* Fri Sep 14 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 50b7491
- obsolete

* Fri Sep 14 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 581e2c0
- updated to 2.19.91
- removed obsolete locale-names and schema patches

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f44a205
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 059ed03
- converted to UTF-8

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> 965a036
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

* Sat Mar 18 2006 maciek2w <maciek2w@pld-linux.org> 420b341
- updated to 2.8.2

* Fri Apr 29 2005 paladine <paladine@pld-linux.org> 2f04a94
- typos

* Fri Apr 29 2005 paladine <paladine@pld-linux.org> acb3512
- new style macros, rel. 3

